#/bin/bash
compressionlevel=5
while getopts l:h options
do
    case $options in
    l)  compressionlevel=${OPTARG};;
    h)  printf "\nLittle Bash script for converting all sub-folders of a folder\n\nUsage:\n.justZipIt.sh (or your alias) [-l compression level]\n\nStandard values:\ncompression level: 5\n\n"
        exit 2;;
    esac
done

for filename in */
do
    zip -$compressionlevel -r "${filename::-1}.zip" "$filename"
done
